package com.ozs.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.BaseDeviceResume;
import com.ozs.service.entity.vo.BaseDeviceResumeVo;
import com.ozs.service.entity.vo.DeviceResumeResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BaseDeviceResumeMapper extends BaseMapper<BaseDeviceResume> {
    List<BaseDeviceResumeVo> getBaseDeviceResume(@Param("cameraCode")String cameraCode, @Param("startTime")String startTime, @Param("endTime")String endTime);


    List<DeviceResumeResp> exportDeviceResume(@Param("cameraCode")String cameraCode, @Param("startTime")String startTime, @Param("endTime")String endTime);
}
